Shumoku Server API · 0.3.0-beta.2 · Credentials
Probe a sample of a topology's devices with a credential; stores nothing
APIの説明は英語のOpenAPI canonical sourceを表示しています。
POST /api/credentials/test 認証
sessionCookie / bearerAuth
リクエストボディ
TestCredential · application/json · 必須
レスポンス
| ステータス | 説明 | スキーマ |
|---|---|---|
200 | How many probes were sent and answered | TestCredentialResult |
400 | The request did not match the API contract | Error |
404 | Credential or topology not found | Error |
409 | Conflict, e.g. a credential with this name already exists | Error |
500 | Credential operation failed | Error |